質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.84%

  • Python

    6335questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Ubuntu

    1198questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

  • pandas

    412questions

    Pandasは、PythonでRにおけるデータフレームに似た型を持たせることができるライブラリです。 行列計算の負担が大幅に軽減されるため、Rで行っていた集計作業をPythonでも比較的簡単に行えます。 データ構造を変更したりデータ分析したりするときにも便利です。

UbuntuでPython-pandasがインストールできない

受付中

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,202

gaia8514

score 7

仮想マシンでLinuxを使い、またPythonを勉強中です。
Pandasをインストールしたく、

$ sudo apt-get install python-pandas

と何回か実行しましたが、Pandasがインストールされません。

今の環境は、

  • ホストOS Windows 7 64bit
  • ゲストOS ubuntu 14.04
  • 仮想マシン virtualBox (vagrantで起動) 

です。
最近$ sudo apt-get install python-pandasを実行した時のメッセージが、

Reading package lists... Done
Building dependency tree
Reading state information... Done
python3-pandas is already the newest version.
The following packages were automatically installed and are no longer required:
acl at-spi2-core colord dconf-gsettings-backend dconf-service fontconfig
hicolor-icon-theme libasound2 libasound2-data libatk-bridge2.0-0 libatk1.0-0
libatk1.0-data libatspi2.0-0 libavahi-client3 libavahi-common-data
libavahi-common3 libcairo-gobject2 libcairo2 libcanberra-gtk3-0
libcanberra-gtk3-module libcanberra0 libcolord1 libcolorhug1 libcups2
libdatrie1 libdconf1 libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libexif12
libfontenc1 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common
libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgphoto2-6 libgphoto2-l10n
libgphoto2-port10 libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common
libgudev-1.0-0 libgusb2 libharfbuzz0b libice6 libieee1284-3 libjasper1
libllvm3.4 libltdl7 libnotify-bin libnotify4 libogg0 libpango-1.0-0
libpangocairo-1.0-0 libpangoft2-1.0-0 libpciaccess0 libpixman-1-0 libsane
libsane-common libsm6 libtdb1 libthai-data libthai0 libtxc-dxtn-s2tc0
libv4l-0 libv4lconvert0 libvorbis0a libvorbisfile3 libvpx1
libwayland-client0 libwayland-cursor0 libx11-xcb1 libxaw7 libxcb-dri2-0
libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-render0 libxcb-shm0
libxcb-sync1 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxfont1
libxi6 libxinerama1 libxkbcommon0 libxkbfile1 libxmu6 libxpm4 libxrandr2
libxshmfence1 libxt6 libxtst6 libxxf86vm1 notification-daemon
sound-theme-freedesktop x11-xkb-utils xfonts-base xfonts-encodings
xfonts-utils xserver-common xserver-xorg-core
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 30 not upgraded.

です。
$ python -m pip list
を実行してもリストに上がってこない状況です。

ご回答いただけますと幸いです。
よろしくお願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

python3-pandas is already the newest version.
と書いてあるので既にインストールされてます。

そのコマンドでは確認出来ないだけではないでしょうか

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/02 23:04

    PythonのREPLで確認しても、インストールされていないようです。
    >>> import pandas as pd
    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    ImportError: No module named 'pandas'

    他に確認する方法などありますでしょうか?

    キャンセル

  • 2017/10/02 23:06

    なるほど、後で確認してみます

    キャンセル

  • 2017/10/02 23:27

    とりあえず、python2 では動くのが確認できました。
    $ sudo apt-get install python-panda
    $ apt list python-pandas
    Listing... Done
    python-pandas/trusty,now 0.13.1-2ubuntu2 all [installed]
    $ python
    Python 2.7.6 (default, Oct 26 2016, 20:30:19)
    [GCC 4.8.4] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import pandas as pd

    キャンセル

  • 2017/10/02 23:30

    python3でも確認できました。
    $ sudo apt-get install python3-pandas
    $ apt list python3-pandas
    Listing... Done
    python3-pandas/trusty,now 0.13.1-2ubuntu2 all [installed]
    $ python3
    Python 3.4.3 (default, Oct 14 2015, 20:28:29)
    [GCC 4.8.4] on linux
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import pandas as pd

    キャンセル

  • 2017/10/02 23:31

    出力からの推察ですが、質問者の方は、python3用のモジュールをインストールして、python2 で import しようとしていたのではないでしょうか

    キャンセル

  • 2017/10/03 22:15 編集

    scsi様
    コメントありがとうございます。
    私もそう思い、改めてPython2とPython3を注意しながら再度確認してみました。
    以下がその履歴です。

    $ apt list python3-pandas
    Listing... Done
    python3-pandas/trusty,now 0.13.1-2ubuntu2 all [installed]
    $ python3
    Python 3.4.3 (default, Nov 17 2016, 01:08:31)
    [GCC 4.8.4] on linux
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import pandas as pd
    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    ImportError: No module named 'pandas'

    やはりまだエラーが出るようです。
    pandasがインストールされていることは確認できたのですが、import出来ない状況です。

    キャンセル

  • 2017/10/04 13:22

    1回パッケージのアンインストールしてから再度インストールするとどうでしょうか?

    キャンセル

  • 2017/10/04 22:55

    $ sudo apt-get remove python3-pandas
    でアンインストールして再度インストールしてみましたが、状況は変わらずです。。。

    キャンセル

0

aptに頼らず、python3のコマンドでpandasをインストールする方法はいかがでしょうか?

$ sudo python3 -m pip install pandas

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/04 22:54

    コメントありがとうございます。
    トライしてみたら

    /usr/bin/python3: No module named pip

    とエラーメッセージが出ました。pipは使えたと思ったのですが、使えなくなってしまいました。

    キャンセル

  • 2017/10/05 10:11

    Ubuntuはpipがインストールされていないことがあったと思うので、apt-get install python3-pip でpipをPython3に導入してから試してみて下さい。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.84%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    6335questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Ubuntu

    1198questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

  • pandas

    412questions

    Pandasは、PythonでRにおけるデータフレームに似た型を持たせることができるライブラリです。 行列計算の負担が大幅に軽減されるため、Rで行っていた集計作業をPythonでも比較的簡単に行えます。 データ構造を変更したりデータ分析したりするときにも便利です。